Gecode::Support::Timer Class Reference
Common functionality » Support algorithms and datastructures

Timer More...

`#include <timer.hpp>`

## Public Member Functions

void | start (void)
| Start timer.
double | stop (void)
| Get time since start of timer.

## Detailed Description

Timer

This class represents a best-effort at measuring wall-clock time in milliseconds.

Definition at line 51 of file timer.hpp.

## Member Function Documentation

## start()

void Gecode::Support::Timer::start | ( | void |  | ) |

inline

Start timer.

Definition at line 66 of file timer.hpp.

## stop()

double Gecode::Support::Timer::stop | ( | void |  | ) |

inline

Get time since start of timer.

Definition at line 76 of file timer.hpp.

The documentation for this class was generated from the following file:

- gecode/support/timer.hpp